#include "string.h"
#include "timer.h"

timer* timer::pinstance = 0;// initialize pointer
timer* timer::Instance() 
{
    if (pinstance == 0)  // is it the first call?
    {  
      pinstance = new timer; // create sole instance
    }
    return pinstance; // address of sole instance
  }
  timer::timer() 
  { 
    //... perform necessary instance initializations 
}

void   timer::setStartTime()
{
		timeval tim;
        gettimeofday(&tim, NULL);
		m_startTime=tim.tv_sec+(tim.tv_usec/1000000.0);
}
double timer::obtainTime()
{
		double time;
		timeval tim;
        gettimeofday(&tim, NULL);
		double m_lastTime=tim.tv_sec+(tim.tv_usec/1000000.0);
		time = m_lastTime - m_startTime;
		return time*1000 ;
}

double timer::get_actual_time()
{
		timeval tim;
        gettimeofday(&tim, NULL);
		return tim.tv_sec+(tim.tv_usec/1000000.0);
}

double timer::time_since(double start)
{

	double time;
	timeval tim;
    gettimeofday(&tim, NULL);
	double m_lastTime=tim.tv_sec+(tim.tv_usec/1000000.0);
	time = m_lastTime - start;
	return time*1000 ;

}
