#ifndef _PREVIEW_
#define _PREVIEW_

#include "iGloobus.h"

#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_syswm.h>

void gtv_center_window(SDL_Surface *screen);
int resizeWindow( int width, int height, bool fullscreen );

class Preview
{
	SDL_Surface 			*m_fullscreen;
	bool					m_fullScreen;
	GLuint					m_textureID;
	int						m_width;
	int						m_height;
	int						m_fullscreenW;
	int						m_fullscreenH;


	public:
	bool 					update(iGloobus *gloobus);
	void 					render(iGloobus *gloobus);

	void					init();
	void 					set_size(int w,int h);
	void					load_fullscreen_button();
	void					draw_extras();
	void					toogle_fullscreen(iGloobus *gloobus);


	
	void					glDisable2D();
	void					glEnable2D();
};


#endif
