#!/bin/bash

#Create gloobus directory

echo ""
echo "Installing Gloobus"
echo ""
if [ -d "/usr/share/gloobus/plugins" ]
then
	echo "Directory exists"
else
	echo "Creating directory"
	mkdir -p /usr/share/gloobus/plugins
fi

#Copy the plugins to the folder
echo " Copying plugins"
cp ./plugins/* /usr/share/gloobus/plugins

#Copy the Data
echo " Copying Data"
cp ./DATA/* /usr/share/gloobus
chmod -R +r /usr/share/gloobus		#Permissions

#Copy binaries to /usr/bin
echo " Copying Binaries"
cp preview /usr/bin
cp gloobus /usr/bin


echo ""
echo "Installation OK"
